name: Build deck as pdf
on:
  push:
    branches:
      - main

jobs:
  build-pdf:
    runs-on: ubuntu-latest
    container:
      image: marpteam/marp-cli:latest
      # env:
      #   NODE_ENV: development

    steps:
      - name: Checkout
        uses: actions/checkout@v2

      - name: Build PDF
        run: npx marp --pdf slides.md